Tony Tony - 13 days ago 6
Java Question

mysql-connector-java for mysql 5.6

I have a project in play! framework. I used mysql 5.1 and added mysql-connector-java dependencies and it worked pretty well.

But now I need to upgrade mysql to 5.6, yet there is no mysql-connector-java for 5.6 that I can find.

Can anyone provide some walk-around in this case? Is it possible to have 2 versions of mysql where one for the project and one for my other need such as integration with the db backup, while the two version shares the same db?

Thanks a lot.

Answer

See this http://dev.mysql.com/doc/refman/5.6/en/connector-j-versions.html it says that for MySQL 4.1, 5.0, 5.1, 5.5, 5.6, 5.7 recommended Connector/J version is 5.1